=== PKGBUILD ===
# Maintainer: Antonio Rojas <arojas@archlinux.org>

pkgname=maui-clip
_pkgname=clip
pkgver=2.0.0
pkgrel=2
pkgdesc='Video player and video collection manager'
url='https://mauikit.org/'
arch=(x86_64)
license=(GPL3)
depends=(mauikit-filebrowsing mpv)
makedepends=(extra-cmake-modules)
groups=(maui)
source=(https://download.kde.org/stable/maui/$_pkgname/$pkgver/$_pkgname-$pkgver.tar.xz)
sha256sums=('24d8ebf6fe429ea8265e1cd8a51c18e22380250100ede1bee20925e443f3b429')

build() {
  cmake -B build -S $_pkgname-$pkgver
  cmake --build build
}

package() {
  DESTDIR="$pkgdir" cmake --install build
}
